Last modified: 2014-11-20 09:15:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24620 - Log entries are difficult to localize; convert old style logs to the new code
Log entries are difficult to localize; convert old style logs to the new code
Status: NEW
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n, need-volunteer
Depends on: 42893 55402 55403 55404 18277 38631 67958
Blocks: gender 21716 24156
  Show dependency treegraph
 
Reported: 2010-08-01 09:13 UTC by The Evil IP address
Modified: 2014-11-20 09:15 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description The Evil IP address 2010-08-01 09:13:48 UTC
Currently, the only message for localizing the block log entries is [[MediaWiki:Blocklogentry]]. The parameter $2 can be different values here:

*either a timeframe, like 5 days, 6 months
*"indefinitely"
*a date, for example "2010-01-01T00:00:00"

However, often there isn't one word combination that fits them all, even in English. The first one should be "blocked $1 for a timeframe of $2 $3". The second should simply be "blocked $2 indefinitely $3", because "for a timeframe of indefinitely" just sounds bad. The third one then should be "blocked $1 until $2 $3". Thus, this one message should be splitted into these three different messages.

Another problem is that the time isn't properly localized. If an admin decides to block someone for an unusual timeframe and writes "6 minutes" into the form, then "6 minutes" will not be localized in the block log entry. The same goes for dates, which are always in the YYYY-MM-DDTHH:MM:SS format, even if that's not the user's preferred date format.
Comment 1 Niklas Laxström 2010-09-13 17:22:01 UTC
I agree. The block log should be modernized to store enough data to allow more dynamic translations. Increasing severity.
Comment 2 Niklas Laxström 2011-03-29 08:49:44 UTC
Increasing priority again.
Comment 3 Niklas Laxström 2011-09-09 08:48:00 UTC
Rewrite done, but each type needs a conversion. Using this as a tracking bug for now.
Comment 4 Nemo 2012-08-29 11:21:28 UTC
(In reply to comment #3)
> Rewrite done, but each type needs a conversion. Using this as a tracking bug
> for now.

As you're not going to fix the blockers yourself, where are the instructions to do so? Is [[mw:Manual:Logging to Special:Log]] the correct page to direct people to for code standards, l10n best practices, word order and parameters etc.?
Comment 5 Jan Luca 2012-10-28 16:35:37 UTC
With [[gerrit:29279]] there are some types added to the LogFormatter-class.
Comment 6 Jan Luca 2012-11-04 18:04:43 UTC
In [[gerrit:31067]] I add some tests for LogFormatter.
Comment 7 Siebrand Mazeland 2012-12-10 01:28:16 UTC
Patch sets were merged briefly, but broke several extensions because LogFormatter::getMessageParameters was changed from protected to public (Interwiki, AbuseFilter, RenameUser). Changing the extensions, will cause problems with BC.

Sam and I decided that reverting is the sanest thing to do right now, because he'll be making the next 1.21wmf branch tomorrow, and having this code in, would unnecessarily complicate things for him.

I also advise to add the logic and test cases in the same change set on the next try.
Comment 8 Jan Luca 2012-12-11 18:36:36 UTC
I have fixed the problems of the changes and upload a new change: https://gerrit.wikimedia.org/r/#/c/38137/
Comment 9 Jan Luca 2012-12-12 11:03:31 UTC
For documantation: gerrit:38137 was merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links